/*
 * Constants for binding NetModule NBHW17 FGPA GPIO
 *
 * Copyright 2018 NetModule AG.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 */

#ifndef _DT_BINDINGS_GPIO_NM_NBHW17_FPGA_GPIO_H
#define _DT_BINDINGS_GPIO_NM_NBHW17_FPGA_GPIO_H

/* TODO: delete the following line when we switch to GPIO DT bindings */
#define NM_NBHW17_FPGA_GPIO_BASE 64

#define NM_NBHW17_FPGA_GPIO_LED0_GREEN 0
#define NM_NBHW17_FPGA_GPIO_LED0_RED   1
#define NM_NBHW17_FPGA_GPIO_LED1_GREEN 2
#define NM_NBHW17_FPGA_GPIO_LED1_RED   3
#define NM_NBHW17_FPGA_GPIO_LED2_GREEN 4
#define NM_NBHW17_FPGA_GPIO_LED2_RED   5
#define NM_NBHW17_FPGA_GPIO_LED3_GREEN 6
#define NM_NBHW17_FPGA_GPIO_LED3_RED   7
#define NM_NBHW17_FPGA_GPIO_LED4_GREEN 8
#define NM_NBHW17_FPGA_GPIO_LED4_RED   9
#define NM_NBHW17_FPGA_GPIO_LED5_GREEN 10
#define NM_NBHW17_FPGA_GPIO_LED5_RED   11
#define NM_NBHW17_FPGA_GPIO_LED6_GREEN 12
#define NM_NBHW17_FPGA_GPIO_LED6_RED   13
#define NM_NBHW17_FPGA_GPIO_LED7_GREEN 14
#define NM_NBHW17_FPGA_GPIO_LED7_RED   15

#define NM_NBHW17_FPGA_GPIO_PCIE1_RST 16
#define NM_NBHW17_FPGA_GPIO_PCIE2_RST 17
#define NM_NBHW17_FPGA_GPIO_PCIE3_RST 18
#define NM_NBHW17_FPGA_GPIO_PCIE4_RST 19

#define NM_NBHW17_FPGA_GPIO_PCIE1_PWR 24
#define NM_NBHW17_FPGA_GPIO_PCIE2_PWR 25
#define NM_NBHW17_FPGA_GPIO_PCIE3_PWR 26
#define NM_NBHW17_FPGA_GPIO_PCIE4_PWR 27

#define NM_NBHW17_FPGA_GPIO_PCIE1_WDIS 48
#define NM_NBHW17_FPGA_GPIO_PCIE2_WDIS 49
#define NM_NBHW17_FPGA_GPIO_PCIE3_WDIS 50
#define NM_NBHW17_FPGA_GPIO_PCIE4_WDIS 51

#define NM_NBHW17_FPGA_GPIO_HOLD_PWR_ON 56
#define NM_NBHW17_FPGA_GPIO_EN_GPS_ANT  57
/* TODO: check whether we really use the following GPIOs: */
#define NM_NBHW17_FPGA_GPIO_EN_MDIO_PHY 58
#define NM_NBHW17_FPGA_GPIO_EN_MDIO_EXT 59
#define NM_NBHW17_FPGA_GPIO_EN_SATA_PWR 60
#define NM_NBHW17_FPGA_GPIO_SERDES_SEL  61
#define NM_NBHW17_FPGA_GPIO_SERDES_EN   62
#define NM_NBHW17_FPGA_GPIO_RST_EXT     63
#define NM_NBHW17_FPGA_GPIO_RST_EXT_ETH 64

#define NM_NBHW17_FPGA_GPIO_PCIE1_WAKE 65
#define NM_NBHW17_FPGA_GPIO_PCIE2_WAKE 66
#define NM_NBHW17_FPGA_GPIO_PCIE3_WAKE 67
#define NM_NBHW17_FPGA_GPIO_PCIE4_WAKE 68

#define NM_NBHW17_FPGA_GPIO_REG_4_PCIE_PIN_47_RW 101
#define NM_NBHW17_FPGA_GPIO_REG_4_PCIE_PIN_49_RW 102

#endif /* _DT_BINDINGS_GPIO_NM_NBHW17_FPGA_GPIO_H */
